#ifndef ANTHY_H
#define ANTHY_H

#include <QObject>
#include <QString>

#include "anthy/anthy.h"

class Anthy : public QObject
{
    Q_OBJECT

    Q_PROPERTY(QString preeditString READ preeditString CONSTANT NOTIFY preeditStringChanged)

public:
    Anthy(QObject *parent = 0);
    ~Anthy();

    Q_INVOKABLE void append(const QString &str);
    Q_INVOKABLE void clear();
    QString preeditString() const;

signals:
    void preeditStringChanged();
    void preeditStringCommitted(QString str);

private:
    void convert();

    anthy_context_t ac;
    QString m_preedit;
    bool m_converting;
    int m_num;
};

#endif
